Subject: Re: FW: SDP fmtp parameters

From: Chuong Nguyen <[email-masked]>
Date: Fri, 11 May 2001 10:40:59 -0500

ZhouZichun

The example is not entirely correct.
 It is describing a TDM termination setting but trying to use RTP SDP
which is not
meant to describe TDM setting.

But to focus just on what "VAD=X-NNVAD" means.
I think it is trying to say that if voice is detected (VAD), do whatever
the experimental (X-)
NNVAD is defined to do.

Also "a=fmtp:PCMU" is incorrect.
Probably should be something like "a=fmtp:0"

Chuong

Tom-PT Taylor wrote:

> Forwarded to the official Megaco list, now moved to [email-masked].
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, March 15, 2001 4:03 AM
> To: [email-masked]
> Subject: SDP fmtp parameters
>
> Hi,
>     There is a parameter 'VAD=X-NNVAD' in MEGACO
> example:
>
>  Local {
>         v=0
>         c=IN IP4 $
>         m=audio $ RTP/AVP 0
>         a=fmtp:PCMU VAD=X-NNVAD;special voice activity
>                            ; detection algorithm
>       }
>
>    The SDP tells us the option after 'fmtp' is <format
> specific parameter>. Unfortunately I cann't find the
> way to explain it. I searched it through Internet,
> only the MEGACO was found which use the string
> 'VAD=X-NNVAD'.
>    Anybody telling me will deserve my deeply
> appreciate.
>    Thanks!
>
>    ZhouZichun
>
> _________________________________________________________
> Do You Yahoo!? µÇÂ¼Ãâ·ÑÑÅ»¢µçÓÊ! http://mail.yahoo.com.cn
> ´´½¨ÑÅ»¢¾ãÀÖ²¿£¬ÕæÎÒ¸öÐÔ¾¡Ê©Õ¹£¡http://cn.clubs.yahoo.com

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****